
#ifndef EXAMPLES_BLE_PERIPHERAL_BLE_APP_UART_APP_H_
#define EXAMPLES_BLE_PERIPHERAL_BLE_APP_UART_APP_H_

enum {
	APP_STREAM_ADC,
	APP_DEBUG_ADC_RUN,
	APP_START,
	APP_CAL,
	APP_WARMUP,
	APP_BREATH,
	APP_DONE,
	APP_PRODUCTION_AVG_RUN,
	APP_PRODUCTION_BATT_PERC,
	APP_PRODUCTION_AVG_RUN_W_BATT_VOLT,
	APP_PRODUCTION_AVG_RUN_W_BATT_PERC,
	APP_MANAGE_POWER,
	APP_SLEEP,
	APP_START_BURN_IN,
	APP_BURN_IN,
	APP_SHOW_BLOG,
	APP_SHOW_HELP,
	APP_MODE_TOTAL
};

void app_init(void (*send_str)(const char*));
void app_set_mode(uint8_t mode);

void app_update();
void app_ble_handler(uint8_t *p_data, uint16_t length);



#endif /* EXAMPLES_BLE_PERIPHERAL_BLE_APP_UART_APP_H_ */
